Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585636 - aircrack-ng-1.1 is available
aircrack-ng-1.1 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aircrack-ng (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-25 06:00 EDT by Upstream Release Monitoring
Modified: 2010-06-26 05:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-26 05:05:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2010-04-25 06:00:49 EDT
Latest upstream release: 1.1
Current version in Fedora Rawhide: 1.0
URL: http://download.aircrack-ng.org/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring
Comment 1 acount closed by user 2010-05-14 21:19:08 EDT
Version 1.1 (changes from aircrack-ng 1.0) - Released 24 April 2010:

* airdrop-ng: New tool by TheX1le.
* airodump-ng, aircrack-ng, airdecap-ng, airbase-ng: Fixed buffer overflow in
   airodump-ng due to forged eapol frame.
* aircrack-ng: Fixed multicast detection (WPA handshake detection).
* airodump-ng: Added interaction (see wiki for the commands).
* airodump-ng: Fixed client time in netxml file.
* airtun-ng: Add WDS and bridge support.
* airbase-ng: automatically set privacy bit to 1 if WPA or WPA2 is used
   (-Z or -z option).
* airmon-ng: Updated iw URL for v0.9.19.
* airdriver-ng: Fixed link for madwifi-ng.
* aireplay-ng: Chopchop enhancement to not stop but wait on deauth packets.
* tkiptun-ng: Fixed segfault.
* wesside-ng: Fixed compilation bug with recent version of gcc.
* cygwin: Compiling sqlite isn't necessary anymore, libsqlite3-devel package
   can be used.
* osdep: Strict aliasing and x86_64 fix.
* osdep: Add tap support for Darwin/OS X. Still require tuntaposx from
   sourceforge to work.
* All: Fixed compilation on cygwin 1.7.
* All: Fixed compilation on recent version of OSX.
* manpages: Fixed aireplay-ng manpage for attack 0: not disassociation packets,
   deauth packets.
* manpages: Added the keys for interaction in airodump-ng.
* patches: Added regulatory domains override patches for atheros drivers
   (ath5k, ath9k and ar9170).
* patches: Added 2.6.32 patch for r8187 driver (ieee80211).
* Makefiles: Fixed make uninstall.
Comment 2 acount closed by user 2010-06-23 13:16:08 EDT
ping!
Comment 3 Till Maas 2010-06-23 13:26:59 EDT
I am currently very busy, if you are a provenpackager, please update it for me. If not, you can ask someone. Btw. there is also an usolved security issue in 1.1, there is some other bug open where someone wanted to take a look.
Comment 4 Till Maas 2010-06-26 05:05:40 EDT
It's now build in Rawhide, but a C expert for the security vulnerability is still needed.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2273947

Note You need to log in before you can comment on or make changes to this bug.